Subject: Re: Commit ID of a branch

From: Chris Packham <[email-masked]>
Date: Mon, 16 Aug 2010 16:43:40 -0700

On 16/08/10 14:19, Guillermo wrote:
> Hello,
> 
> I want to write a script what checks in all my projects which is the submodule
> commit that is registered in every git repo.
> 
> Lets say we have the following structure:
> 
> project1
> - submodule1
> project2
> - submodule1
> 
> I want to find out what file within the .git dir of every project contains the
> proper submodule Commit ID that should be checkout with git submodule update.
> 
> Regards,
> Guillermo

If I understand your question correctly, what you want is

  git ls-tree HEAD submodule1

Which will give you the sha1 of the commit in the submodule your project
should be pointing to. We use this in various scripts at work.

It is also possible to get this information (and more) from a slightly
friendlier submodule command if you want it for non-script usage.

  git submodule status